## GMimeFilterBasic

GMimeFilterBasic — Basic transfer encoding filter

## Functions

GMimeFilter * | g_mime_filter_basic_new ()

## Types and Values

struct | GMimeFilterBasic

## Object Hierarchy

        GObject
        ╰── GMimeFilter
            ╰── GMimeFilterBasic

## Description

A GMimeFilter which can encode or decode basic MIME encodings such as Quoted-Printable, Base64 and UUEncode.

## Functions

### g_mime_filter_basic_new ()

    GMimeFilter *
    g_mime_filter_basic_new (GMimeContentEncoding encoding,
                             gboolean encode);

Creates a new basic filter for `encoding` .

#### Parameters

encoding | a GMimeContentEncoding |
encode | `TRUE` to encode or `FALSE` to decode |

#### Returns

a new basic encoder filter.

## Types and Values

### struct GMimeFilterBasic

    struct GMimeFilterBasic;

A basic encoder/decoder filter for the MIME encodings.

#### Members

## See Also

GMimeFilter